<?php
$tdataseeker_appoint_interview = array();
$tdataseeker_appoint_interview[".searchableFields"] = array();
$tdataseeker_appoint_interview[".ShortName"] = "seeker_appoint_interview";
$tdataseeker_appoint_interview[".OwnerID"] = "";
$tdataseeker_appoint_interview[".OriginalTable"] = "seeker_appoint_interview";


$tdataseeker_appoint_interview[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataseeker_appoint_interview[".originalPagesByType"] = $tdataseeker_appoint_interview[".pagesByType"];
$tdataseeker_appoint_interview[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataseeker_appoint_interview[".originalPages"] = $tdataseeker_appoint_interview[".pages"];
$tdataseeker_appoint_interview[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataseeker_appoint_interview[".originalDefaultPages"] = $tdataseeker_appoint_interview[".defaultPages"];

//	field labels
$fieldLabelsseeker_appoint_interview = array();
$fieldToolTipsseeker_appoint_interview = array();
$pageTitlesseeker_appoint_interview = array();
$placeHoldersseeker_appoint_interview = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsseeker_appoint_interview["English"] = array();
	$fieldToolTipsseeker_appoint_interview["English"] = array();
	$placeHoldersseeker_appoint_interview["English"] = array();
	$pageTitlesseeker_appoint_interview["English"] = array();
	$fieldLabelsseeker_appoint_interview["English"]["appointID"] = "#";
	$fieldToolTipsseeker_appoint_interview["English"]["appointID"] = "";
	$placeHoldersseeker_appoint_interview["English"]["appointID"] = "";
	$fieldLabelsseeker_appoint_interview["English"]["SeekerID"] = "ລະຫັດແຮງງານ";
	$fieldToolTipsseeker_appoint_interview["English"]["SeekerID"] = "";
	$placeHoldersseeker_appoint_interview["English"]["SeekerID"] = "";
	$fieldLabelsseeker_appoint_interview["English"]["CompanyInterviewID"] = "ບໍລິສັດສໍາພາດ";
	$fieldToolTipsseeker_appoint_interview["English"]["CompanyInterviewID"] = "";
	$placeHoldersseeker_appoint_interview["English"]["CompanyInterviewID"] = "";
	$fieldLabelsseeker_appoint_interview["English"]["DateInterview"] = "ວັນທີ່ສໍາພາດ";
	$fieldToolTipsseeker_appoint_interview["English"]["DateInterview"] = "";
	$placeHoldersseeker_appoint_interview["English"]["DateInterview"] = "";
	$fieldLabelsseeker_appoint_interview["English"]["Noted"] = "ລາຍລະອຽດ";
	$fieldToolTipsseeker_appoint_interview["English"]["Noted"] = "";
	$placeHoldersseeker_appoint_interview["English"]["Noted"] = "";
	$fieldLabelsseeker_appoint_interview["English"]["UserID"] = "ຜູ້ບັນທືກ";
	$fieldToolTipsseeker_appoint_interview["English"]["UserID"] = "";
	$placeHoldersseeker_appoint_interview["English"]["UserID"] = "";
	if (count($fieldToolTipsseeker_appoint_interview["English"]))
		$tdataseeker_appoint_interview[".isUseToolTips"] = true;
}


	$tdataseeker_appoint_interview[".NCSearch"] = true;



$tdataseeker_appoint_interview[".shortTableName"] = "seeker_appoint_interview";
$tdataseeker_appoint_interview[".nSecOptions"] = 0;

$tdataseeker_appoint_interview[".mainTableOwnerID"] = "";
$tdataseeker_appoint_interview[".entityType"] = 0;
$tdataseeker_appoint_interview[".connId"] = "eflejob_at_localhost";


$tdataseeker_appoint_interview[".strOriginalTableName"] = "seeker_appoint_interview";

	



$tdataseeker_appoint_interview[".showAddInPopup"] = false;

$tdataseeker_appoint_interview[".showEditInPopup"] = false;

$tdataseeker_appoint_interview[".showViewInPopup"] = false;

	$tdataseeker_appoint_interview[".listAjax"] = true;
//	temporary
//$tdataseeker_appoint_interview[".listAjax"] = false;

	$tdataseeker_appoint_interview[".audit"] = false;

	$tdataseeker_appoint_interview[".locking"] = false;


$pages = $tdataseeker_appoint_interview[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataseeker_appoint_interview[".edit"] = true;
	$tdataseeker_appoint_interview[".afterEditAction"] = 1;
	$tdataseeker_appoint_interview[".closePopupAfterEdit"] = 1;
	$tdataseeker_appoint_interview[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataseeker_appoint_interview[".add"] = true;
$tdataseeker_appoint_interview[".afterAddAction"] = 1;
$tdataseeker_appoint_interview[".closePopupAfterAdd"] = 1;
$tdataseeker_appoint_interview[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataseeker_appoint_interview[".list"] = true;
}



$tdataseeker_appoint_interview[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataseeker_appoint_interview[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataseeker_appoint_interview[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataseeker_appoint_interview[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataseeker_appoint_interview[".printFriendly"] = true;
}



$tdataseeker_appoint_interview[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataseeker_appoint_interview[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataseeker_appoint_interview[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataseeker_appoint_interview[".isUseAjaxSuggest"] = true;



						

$tdataseeker_appoint_interview[".ajaxCodeSnippetAdded"] = false;

$tdataseeker_appoint_interview[".buttonsAdded"] = false;

$tdataseeker_appoint_interview[".addPageEvents"] = false;

// use timepicker for search panel
$tdataseeker_appoint_interview[".isUseTimeForSearch"] = false;


$tdataseeker_appoint_interview[".badgeColor"] = "edca00";


$tdataseeker_appoint_interview[".allSearchFields"] = array();
$tdataseeker_appoint_interview[".filterFields"] = array();
$tdataseeker_appoint_interview[".requiredSearchFields"] = array();

$tdataseeker_appoint_interview[".googleLikeFields"] = array();
$tdataseeker_appoint_interview[".googleLikeFields"][] = "appointID";
$tdataseeker_appoint_interview[".googleLikeFields"][] = "SeekerID";
$tdataseeker_appoint_interview[".googleLikeFields"][] = "CompanyInterviewID";
$tdataseeker_appoint_interview[".googleLikeFields"][] = "DateInterview";
$tdataseeker_appoint_interview[".googleLikeFields"][] = "Noted";
$tdataseeker_appoint_interview[".googleLikeFields"][] = "UserID";



$tdataseeker_appoint_interview[".tableType"] = "list";

$tdataseeker_appoint_interview[".printerPageOrientation"] = 0;
$tdataseeker_appoint_interview[".nPrinterPageScale"] = 100;

$tdataseeker_appoint_interview[".nPrinterSplitRecords"] = 40;

$tdataseeker_appoint_interview[".geocodingEnabled"] = false;










$tdataseeker_appoint_interview[".pageSize"] = 20;

$tdataseeker_appoint_interview[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataseeker_appoint_interview[".strOrderBy"] = $tstrOrderBy;

$tdataseeker_appoint_interview[".orderindexes"] = array();


$tdataseeker_appoint_interview[".sqlHead"] = "SELECT appointID,  	SeekerID,  	CompanyInterviewID,  	DateInterview,  	Noted,  	UserID";
$tdataseeker_appoint_interview[".sqlFrom"] = "FROM seeker_appoint_interview";
$tdataseeker_appoint_interview[".sqlWhereExpr"] = "";
$tdataseeker_appoint_interview[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataseeker_appoint_interview[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataseeker_appoint_interview[".arrGroupsPerPage"] = $arrGPP;

$tdataseeker_appoint_interview[".highlightSearchResults"] = true;

$tableKeysseeker_appoint_interview = array();
$tableKeysseeker_appoint_interview[] = "appointID";
$tdataseeker_appoint_interview[".Keys"] = $tableKeysseeker_appoint_interview;


$tdataseeker_appoint_interview[".hideMobileList"] = array();




//	appointID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "appointID";
	$fdata["GoodName"] = "appointID";
	$fdata["ownerTable"] = "seeker_appoint_interview";
	$fdata["Label"] = GetFieldLabel("seeker_appoint_interview","appointID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "appointID";

		$fdata["sourceSingle"] = "appointID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "appointID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_appoint_interview["appointID"] = $fdata;
		$tdataseeker_appoint_interview[".searchableFields"][] = "appointID";
//	SeekerID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "SeekerID";
	$fdata["GoodName"] = "SeekerID";
	$fdata["ownerTable"] = "seeker_appoint_interview";
	$fdata["Label"] = GetFieldLabel("seeker_appoint_interview","SeekerID");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "SeekerID";

		$fdata["sourceSingle"] = "SeekerID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SeekerID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_appoint_interview["SeekerID"] = $fdata;
		$tdataseeker_appoint_interview[".searchableFields"][] = "SeekerID";
//	CompanyInterviewID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "CompanyInterviewID";
	$fdata["GoodName"] = "CompanyInterviewID";
	$fdata["ownerTable"] = "seeker_appoint_interview";
	$fdata["Label"] = GetFieldLabel("seeker_appoint_interview","CompanyInterviewID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "CompanyInterviewID";

		$fdata["sourceSingle"] = "CompanyInterviewID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CompanyInterviewID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "companyinfo";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CompanyID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "CompanyName";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_appoint_interview["CompanyInterviewID"] = $fdata;
		$tdataseeker_appoint_interview[".searchableFields"][] = "CompanyInterviewID";
//	DateInterview
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "DateInterview";
	$fdata["GoodName"] = "DateInterview";
	$fdata["ownerTable"] = "seeker_appoint_interview";
	$fdata["Label"] = GetFieldLabel("seeker_appoint_interview","DateInterview");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "DateInterview";

		$fdata["sourceSingle"] = "DateInterview";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DateInterview";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_appoint_interview["DateInterview"] = $fdata;
		$tdataseeker_appoint_interview[".searchableFields"][] = "DateInterview";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "seeker_appoint_interview";
	$fdata["Label"] = GetFieldLabel("seeker_appoint_interview","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

		$fdata["sourceSingle"] = "Noted";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_appoint_interview["Noted"] = $fdata;
		$tdataseeker_appoint_interview[".searchableFields"][] = "Noted";
//	UserID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "UserID";
	$fdata["GoodName"] = "UserID";
	$fdata["ownerTable"] = "seeker_appoint_interview";
	$fdata["Label"] = GetFieldLabel("seeker_appoint_interview","UserID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "UserID";

		$fdata["sourceSingle"] = "UserID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "UserID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_appoint_interview["UserID"] = $fdata;
		$tdataseeker_appoint_interview[".searchableFields"][] = "UserID";


$tables_data["seeker_appoint_interview"]=&$tdataseeker_appoint_interview;
$field_labels["seeker_appoint_interview"] = &$fieldLabelsseeker_appoint_interview;
$fieldToolTips["seeker_appoint_interview"] = &$fieldToolTipsseeker_appoint_interview;
$placeHolders["seeker_appoint_interview"] = &$placeHoldersseeker_appoint_interview;
$page_titles["seeker_appoint_interview"] = &$pageTitlesseeker_appoint_interview;


changeTextControlsToDate( "seeker_appoint_interview" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["seeker_appoint_interview"] = array();
//	interview_result
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="interview_result";
		$detailsParam["dOriginalTable"] = "interview_result";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "interview_result";
	$detailsParam["dCaptionTable"] = GetTableCaption("interview_result");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["seeker_appoint_interview"][$dIndex] = $detailsParam;

	
		$detailsTablesData["seeker_appoint_interview"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["seeker_appoint_interview"][$dIndex]["masterKeys"][]="appointID";

				$detailsTablesData["seeker_appoint_interview"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["seeker_appoint_interview"][$dIndex]["detailKeys"][]="appointID";
//endif

// tables which are master tables for current table (detail)
$masterTablesData["seeker_appoint_interview"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="seeker_info";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="seeker_info";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "seeker_info";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["seeker_appoint_interview"][0] = $masterParams;
				$masterTablesData["seeker_appoint_interview"][0]["masterKeys"] = array();
	$masterTablesData["seeker_appoint_interview"][0]["masterKeys"][]="seeker_ID";
				$masterTablesData["seeker_appoint_interview"][0]["detailKeys"] = array();
	$masterTablesData["seeker_appoint_interview"][0]["detailKeys"][]="SeekerID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_seeker_appoint_interview()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "appointID,  	SeekerID,  	CompanyInterviewID,  	DateInterview,  	Noted,  	UserID";
$proto0["m_strFrom"] = "FROM seeker_appoint_interview";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "appointID",
	"m_strTable" => "seeker_appoint_interview",
	"m_srcTableName" => "seeker_appoint_interview"
));

$proto6["m_sql"] = "appointID";
$proto6["m_srcTableName"] = "seeker_appoint_interview";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "SeekerID",
	"m_strTable" => "seeker_appoint_interview",
	"m_srcTableName" => "seeker_appoint_interview"
));

$proto8["m_sql"] = "SeekerID";
$proto8["m_srcTableName"] = "seeker_appoint_interview";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "CompanyInterviewID",
	"m_strTable" => "seeker_appoint_interview",
	"m_srcTableName" => "seeker_appoint_interview"
));

$proto10["m_sql"] = "CompanyInterviewID";
$proto10["m_srcTableName"] = "seeker_appoint_interview";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "DateInterview",
	"m_strTable" => "seeker_appoint_interview",
	"m_srcTableName" => "seeker_appoint_interview"
));

$proto12["m_sql"] = "DateInterview";
$proto12["m_srcTableName"] = "seeker_appoint_interview";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "seeker_appoint_interview",
	"m_srcTableName" => "seeker_appoint_interview"
));

$proto14["m_sql"] = "Noted";
$proto14["m_srcTableName"] = "seeker_appoint_interview";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "UserID",
	"m_strTable" => "seeker_appoint_interview",
	"m_srcTableName" => "seeker_appoint_interview"
));

$proto16["m_sql"] = "UserID";
$proto16["m_srcTableName"] = "seeker_appoint_interview";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "seeker_appoint_interview";
$proto19["m_srcTableName"] = "seeker_appoint_interview";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "appointID";
$proto19["m_columns"][] = "SeekerID";
$proto19["m_columns"][] = "CompanyInterviewID";
$proto19["m_columns"][] = "DateInterview";
$proto19["m_columns"][] = "Noted";
$proto19["m_columns"][] = "UserID";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "seeker_appoint_interview";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "seeker_appoint_interview";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="seeker_appoint_interview";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_seeker_appoint_interview = createSqlQuery_seeker_appoint_interview();


	
		;

						

$tdataseeker_appoint_interview[".sqlquery"] = $queryData_seeker_appoint_interview;



$tdataseeker_appoint_interview[".hasEvents"] = false;

?>